route-rnd(1)

NAME
route-rnd - external PCB autorouter

SYNPOSIS

route-rnd [-v] -m method [-o out_fn] inp_fn
route-rnd -m method -l
route-rnd -M

DECSRIPTION

route-rnd takes a route request in tEDAx form, routes zero or more nets and returns a route result in tEDAx form. It has options to list methods (algorithms) and their settings in computer readable format.

OPTIONS

-M  List available methods (in TSV format) on stdout.

-m method
    Select which method (algorithm) to use; method names can be learned from the first column of -M output.

-l  List config options of a method in tEDAx route res format on stdout. Use it together with -m.

-v  increase verbosity (can be specified multiple times)

-o out_fn
    Output file name (for tEDAx route result).

inp_fn
    Input file name (tEDAx route request).

SEE ALSO
pcb-rnd(1)